Get Sub-Account Bucket Utilization

Prev Next
Get
/v1/sub-accounts/{subAccountId}/buckets

Read all bucket utilization for a Sub-Account.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
subAccountId
integerRequired

Sub-Account ID

Query parameters
page
integer

Page number

size
integer

Number of items per page

from
string (date)

Start date (YYYY-MM-DD)

to
string (date)

End date (YYYY-MM-DD)

latest
boolean

Retrieve only the latest bucket utilization

name
string

Filter by bucket name

bucketNumber
integer

Filter by bucket number

region
string

Filter by region

Responses
200

Successfully retrieved bucket utilization

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "789013",
        "name": "sub-account-bucket",
        "region": "us-east-1",
        "bucketNumber": "12346",
        "startTime": "2024-01-15",
        "endTime": "2024-01-15",
        "bucketDeleteTime": "2024-02-01",
        "activeStorage": "0.25",
        "deletedStorage": "0.005",
        "storageWrote": "0.1",
        "storageRead": "0.03",
        "activeObjects": "8000",
        "deletedObjects": "50",
        "egress": "0.05",
        "ingress": "0.15",
        "apiCalls": "25000"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (BucketUtilizationResponse)
object
id
integer
name
string
region
string
bucketNumber
integer
startTime
string (date)
endTime
string (date)
bucketDeleteTime
string (date) | null

Date the bucket was deleted. Null if the bucket is still active.

activeStorage
number

Active storage in TB

deletedStorage
number

Deleted storage in TB

storageWrote
number

Storage written in TB

storageRead
number

Storage read in TB

activeObjects
integer
deletedObjects
integer
egress
number

Egress in GB

ingress
number

Ingress in GB

apiCalls
integer
page
integer
size
integer
total
integer